net/libpcap - The NetBSD Packages Collection

System-independent interface for user-level packet capture

This is libpcap, a system-independent interface for user-level packet
capture.  libpcap provides a portable framework for low-level network
monitoring.  Applications include network statistics collection,
security monitoring, network debugging, etc.  Since almost every
system vendor provides a different interface for packet capture, and
since we've developed several tools that require this functionality,
we've created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/bison devel/m4

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibpcap-1.9.1.tgz
NetBSD 8.0earmv7hflibpcap-1.9.1.tgz
NetBSD 8.0earmv7hflibpcap-1.9.1.tgz
NetBSD 8.0i386libpcap-1.9.1.tgz
NetBSD 8.0i386libpcap-1.9.1.tgz
NetBSD 8.0powerpclibpcap-1.9.1.tgz
NetBSD 8.0powerpclibpcap-1.9.1.tgz
NetBSD 8.0powerpclibpcap-1.9.1.tgz
NetBSD 8.0powerpclibpcap-1.9.1.tgz
NetBSD 8.0x86_64libpcap-1.9.1.tgz
NetBSD 8.0x86_64libpcap-1.9.1.tgz
NetBSD 9.0aarch64libpcap-1.9.1.tgz
NetBSD 9.0aarch64libpcap-1.9.1.tgz
NetBSD 9.0aarch64libpcap-1.9.1.tgz
NetBSD 9.0alphalibpcap-1.9.1.tgz
NetBSD 9.0alphalibpcap-1.9.1.tgz
NetBSD 9.0alphalibpcap-1.9.1.tgz
NetBSD 9.0earmlibpcap-1.9.1.tgz
NetBSD 9.0earmlibpcap-1.9.1.tgz
NetBSD 9.0earmlibpcap-1.9.1.tgz
NetBSD 9.0earmv6hflibpcap-1.9.1.tgz
NetBSD 9.0earmv6hflibpcap-1.9.1.tgz
NetBSD 9.0earmv6hflibpcap-1.9.1.tgz
NetBSD 9.0earmv7hflibpcap-1.9.1.tgz
NetBSD 9.0earmv7hflibpcap-1.9.1.tgz
NetBSD 9.0earmv7hflibpcap-1.9.1.tgz
NetBSD 9.0earmv7hflibpcap-1.9.1.tgz
NetBSD 9.0i386libpcap-1.9.1.tgz
NetBSD 9.0i386libpcap-1.9.1.tgz
NetBSD 9.0m68klibpcap-1.9.1.tgz
NetBSD 9.0m68klibpcap-1.9.1.tgz
NetBSD 9.0mips64eblibpcap-1.9.1.tgz
NetBSD 9.0mips64eblibpcap-1.9.1.tgz
NetBSD 9.0mips64eblibpcap-1.9.1.tgz
NetBSD 9.0mips64eblibpcap-1.9.1.tgz
NetBSD 9.0mips64eblibpcap-1.9.1.tgz
NetBSD 9.0mipsellibpcap-1.9.1.tgz
NetBSD 9.0mipsellibpcap-1.9.1.tgz
NetBSD 9.0mipsellibpcap-1.9.1.tgz
NetBSD 9.0mipsellibpcap-1.9.1.tgz
NetBSD 9.0powerpclibpcap-1.9.1.tgz
NetBSD 9.0powerpclibpcap-1.9.1.tgz
NetBSD 9.0powerpclibpcap-1.9.1.tgz
NetBSD 9.0powerpclibpcap-1.9.1.tgz
NetBSD 9.0sh3ellibpcap-1.9.1.tgz
NetBSD 9.0sh3ellibpcap-1.9.1.tgz
NetBSD 9.0sh3ellibpcap-1.9.1.tgz
NetBSD 9.0sh3ellibpcap-1.9.1.tgz
NetBSD 9.0sparc64libpcap-1.9.1.tgz
NetBSD 9.0sparc64libpcap-1.9.1.tgz
NetBSD 9.0sparc64libpcap-1.9.1.tgz
NetBSD 9.0sparclibpcap-1.9.1.tgz
NetBSD 9.0sparclibpcap-1.9.1.tgz
NetBSD 9.0sparclibpcap-1.9.1.tgz
NetBSD 9.0sparclibpcap-1.9.1.tgz
NetBSD 9.0sparclibpcap-1.9.1.tgz
NetBSD 9.0vaxlibpcap-1.9.1.tgz
NetBSD 9.0vaxlibpcap-1.9.1.tgz
NetBSD 9.0vaxlibpcap-1.9.1.tgz
NetBSD 9.0vaxlibpcap-1.9.1.tgz
NetBSD 9.0x86_64libpcap-1.9.1.tgz
NetBSD 9.0x86_64libpcap-1.9.1.tgz
NetBSD 9.0x86_64libpcap-1.9.1.tgz
NetBSD 9.0x86_64libpcap-1.9.1.tgz
NetBSD 9.0x86_64libpcap-1.9.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.